
.header-top__stores-block{
    position: absolute;
    visibility: hidden;
    left: 0;
    top: 105%;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.15);
    border-radius: 3px;
    padding: 15px 35px 35px 35px;
    width: 715px;
    background-color: var(--main-light-grey-color);
    font-weight: 700;
    font-size: 18px;
    line-height: 22px;
    opacity: 0;
    transition: var(--main-transition);
    z-index: 5;
}
.header-top__stores.header-top__stores_opened .header-top__stores-block{
    visibility: visible;
    opacity: 1;
}
.header-top__stores-top{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 0 16px 0;
}
.header-top__stores-title{
    letter-spacing: 0.1em;
    text-transform: uppercase;
    color: var(--secondary-color);
}
.header-top__stores-closer{
	position: relative;
    border-radius: 99px;
    width: 16px;
    height: 16px;
    background-color: var(--main-light-grey-color);
	cursor: pointer;
}
.header-top__stores-closer::before,
.header-top__stores-closer::after{
	content: "";
	position: absolute;
	left: 50%;
	top: 50%;
	border-radius: 9px;
	width: 22px;
	height: 2px;
	background-color: var(--main-black-color);
    transition: var(--main-transition);
}
.header-top__stores-closer:hover::before,
.header-top__stores-closer:hover::after{
    background-color: var(--secondary-color);
}
.header-top__stores-closer::before{
	transform: translate(-50%, -50%) rotate(45deg);
}
.header-top__stores-closer::after{
	transform: translate(-50%, -50%) rotate(-45deg);
}
.header-top__stores-closer:hover::before{
	transform: translate(-50%, -50%) rotate(-45deg);
}
.header-top__stores-closer:hover::after{
	transform: translate(-50%, -50%) rotate(45deg);
}
.header-top__stores-list{}
.header-top__stores-item{
    box-shadow: 0px 0px 10px rgba(223, 209, 240, 0.25);
    border-radius: 3px;
    background-color: var(--main-white-color);
    overflow: hidden;
}
.header-top__stores-item:not(:last-child){
    margin: 0 0 12px 0;
}
.header-top__stores-city{
    padding: 10px 0 5px 25px;
    background-color: var(--main-very-light-color);
    font-weight: 600;
}
.header-top__stores-info{
    display: flex;
    padding: 20px 35px 20px 25px;
    font-size: 16px;
    line-height: 19px;
    font-weight: 400;
}
.header-top__stores-address{
    padding: 0 35px 0 0;
}
.header-top__stores-worktime{
    display: flex;
    padding: 0 35px 0 0;
    white-space: nowrap;
}
.header-top__stores-phone{
    display: flex;
}
.header-top__stores-vis{
	padding: 0 10px 0 0;
	color: var(--main-color);
}
.header-top__stores-text{}
.header-top__stores-phone-item{}
.header-top__stores-time{}
.header-top__stores-days{}


@media (max-width: 767px){
    .header-top__stores-block{
        padding: 15px 15px 15px 15px;
        width: 290px;
    }
    .header-top__stores-info{
        flex-direction: column;
    }
    .header-top__stores-address{
        padding: 0 0 35px 0;
    }
    .header-top__stores-worktime{
        padding: 0 0 35px 0;
    }
}
@media (max-width: 599px){
    .header-top__stores-block{
        position: fixed;
        left: 0;
        top: 0;
        border-radius: 0;
        padding: 15px 15px 100px 15px;
        width: 100%;
        height: calc(100vh - 55px);
        transition: none;
        overflow-x: hidden;
        overflow-y: auto;
        z-index: 4;
    }
    .header-top__stores-closer{
        position: fixed;
        right: 5px;
        top: 5px;
        width: 36px;
        height: 36px;
    }
}
@media (max-width: 319px){
    .header-top__stores-block{
        padding: 10px 10px 100px 10px;
    }
}














